{
    "$graph": [
        {
            "class": "ExpressionTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "loadContents": true
                    },
                    "id": "#conversion.cwl/idFile"
                }
            ],
            "expression": "${ return { \"idstring\": inputs.idFile.contents.replace(/SP:/g, \"\").replace(/(\\r\\n|\\n|\\r)/g,\",\").replace(/,$/, \"\").trim()}; }\n",
            "id": "#conversion.cwl",
            "outputs": [
                {
                    "type": "string",
                    "id": "#conversion.cwl/idstring"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "sh",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/ebi-wp/webservice-cwl/25abf8af89fdfdea6cff2a9faed05d888855f772/workflows/ebeye.sh"
                    },
                    "id": "#ebeye.cwl/command"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 3
                    },
                    "default": "uniprot",
                    "id": "#ebeye.cwl/domain"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 4
                    },
                    "default": "mgst1_human",
                    "id": "#ebeye.cwl/entryids"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 6
                    },
                    "default": "id,acc",
                    "id": "#ebeye.cwl/fields"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 2
                    },
                    "default": "getReferencedEnteries",
                    "id": "#ebeye.cwl/method"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/ebi-wp/webservice-cwl/webservice-clients/perl/lwp/ebeye_lwp.pl"
                    },
                    "id": "#ebeye.cwl/perl"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": null,
                    "id": "#ebeye.cwl/query"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 5
                    },
                    "default": "pdb",
                    "id": "#ebeye.cwl/referencedDomain"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": null,
                    "id": "#ebeye.cwl/targetedDomain"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": null,
                    "id": "#ebeye.cwl/term"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#ebeye.cwl/ebeye_out",
                    "outputBinding": {
                        "glob": "e544794a62b65923a165d58aa4c24d9b90c45050"
                    }
                }
            ],
            "id": "#ebeye.cwl",
            "stdout": "e544794a62b65923a165d58aa4c24d9b90c45050"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "perl",
            "inputs": [
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--align"
                    },
                    "id": "#ncbiblast.cwl/align"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--alignments"
                    },
                    "id": "#ncbiblast.cwl/alignments"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/ebi-wp/webservice-cwl/webservice-clients/perl/ncbiblast.pl"
                    },
                    "id": "#ncbiblast.cwl/command"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--compstats"
                    },
                    "id": "#ncbiblast.cwl/compstats"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--database"
                    },
                    "id": "#ncbiblast.cwl/database"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--dropoff"
                    },
                    "id": "#ncbiblast.cwl/dropoff"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--email"
                    },
                    "id": "#ncbiblast.cwl/email"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--exp"
                    },
                    "id": "#ncbiblast.cwl/exp"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "--filter"
                    },
                    "id": "#ncbiblast.cwl/filter"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "--gapalign"
                    },
                    "id": "#ncbiblast.cwl/gapalign"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--gapext"
                    },
                    "id": "#ncbiblast.cwl/gapext"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--gapopen"
                    },
                    "id": "#ncbiblast.cwl/gapopen"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--matrix"
                    },
                    "id": "#ncbiblast.cwl/matrix"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--maxJobs"
                    },
                    "id": "#ncbiblast.cwl/maxJobs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--multifasta"
                    },
                    "id": "#ncbiblast.cwl/multifasta"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--outfile"
                    },
                    "id": "#ncbiblast.cwl/outfile"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--outformat"
                    },
                    "id": "#ncbiblast.cwl/outformat"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--program"
                    },
                    "id": "#ncbiblast.cwl/program"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--scores"
                    },
                    "id": "#ncbiblast.cwl/scores"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--seqrange"
                    },
                    "id": "#ncbiblast.cwl/seqrange"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "--sequence"
                    },
                    "id": "#ncbiblast.cwl/sequence_file"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--sequence"
                    },
                    "id": "#ncbiblast.cwl/sequence_string"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--stype"
                    },
                    "id": "#ncbiblast.cwl/type"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--useSeqId"
                    },
                    "id": "#ncbiblast.cwl/useSeqId"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "*.accs.*"
                    },
                    "id": "#ncbiblast.cwl/blast_array_accs"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "*.ids.*"
                    },
                    "id": "#ncbiblast.cwl/blast_ids"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "*.sequence.txt"
                    },
                    "id": "#ncbiblast.cwl/blast_sequence"
                }
            ],
            "id": "#ncbiblast.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "sh",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/ebi-wp/webservice-cwl/25abf8af89fdfdea6cff2a9faed05d888855f772/workflows/pdbe.sh"
                    },
                    "id": "#pdbe.cwl/command"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#pdbe.cwl/ids"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "*.txt"
                    },
                    "id": "#pdbe.cwl/pdbe_info"
                }
            ],
            "id": "#pdbe.cwl"
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/database"
                },
                {
                    "type": "string",
                    "id": "#main/domain"
                },
                {
                    "type": "string",
                    "id": "#main/email"
                },
                {
                    "type": "string",
                    "id": "#main/fields"
                },
                {
                    "type": "string",
                    "id": "#main/method"
                },
                {
                    "type": "string",
                    "id": "#main/program"
                },
                {
                    "type": "string",
                    "id": "#main/referencedDomain"
                },
                {
                    "type": "string",
                    "id": "#main/sequence"
                },
                {
                    "type": "string",
                    "id": "#main/type"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/pdbe_step/pdbe_info",
                    "id": "#main/pdbe_output"
                },
                {
                    "type": "File",
                    "outputSource": "#main/ebeye_step/ebeye_out",
                    "id": "#main/workflow_output"
                }
            ],
            "steps": [
                {
                    "run": "#conversion.cwl",
                    "in": [
                        {
                            "source": "#main/ncbiblast_step/blast_ids",
                            "id": "#main/conversion_step/idFile"
                        }
                    ],
                    "out": [
                        "#main/conversion_step/idstring"
                    ],
                    "id": "#main/conversion_step"
                },
                {
                    "run": "#ebeye.cwl",
                    "in": [
                        {
                            "source": "#main/domain",
                            "id": "#main/ebeye_step/domain"
                        },
                        {
                            "source": "#main/conversion_step/idstring",
                            "id": "#main/ebeye_step/entryids"
                        },
                        {
                            "source": "#main/fields",
                            "id": "#main/ebeye_step/fields"
                        },
                        {
                            "source": "#main/method",
                            "id": "#main/ebeye_step/method"
                        },
                        {
                            "source": "#main/referencedDomain",
                            "id": "#main/ebeye_step/referencedDomain"
                        }
                    ],
                    "out": [
                        "#main/ebeye_step/ebeye_out"
                    ],
                    "id": "#main/ebeye_step"
                },
                {
                    "run": "#ncbiblast.cwl",
                    "in": [
                        {
                            "source": "#main/database",
                            "id": "#main/ncbiblast_step/database"
                        },
                        {
                            "source": "#main/email",
                            "id": "#main/ncbiblast_step/email"
                        },
                        {
                            "source": "#main/program",
                            "id": "#main/ncbiblast_step/program"
                        },
                        {
                            "source": "#main/sequence",
                            "id": "#main/ncbiblast_step/sequence_string"
                        },
                        {
                            "source": "#main/type",
                            "id": "#main/ncbiblast_step/type"
                        }
                    ],
                    "out": [
                        "#main/ncbiblast_step/blast_ids"
                    ],
                    "id": "#main/ncbiblast_step"
                },
                {
                    "run": "#pdbe.cwl",
                    "in": [
                        {
                            "source": "#main/ebeye_step/ebeye_out",
                            "id": "#main/pdbe_step/ids"
                        }
                    ],
                    "out": [
                        "#main/pdbe_step/pdbe_info"
                    ],
                    "id": "#main/pdbe_step"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
